Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
GETBackup Service OperationsSince 3.0.0SynchronousAuth Required

GetDatabaseBackupFromImageStore

GetDatabaseBackupFromImageStore

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • urlStringRequired

    The URL of the backup storage.

  • registryPortint

    Optional. The port used to access the backup storage.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • infosListRequired

    See infos

    • idStringRequired

      The ID of the database backup image in the backup storage.

    • parentStringRequired

      The name of the parent image.

    • blobsumStringRequired

      The hash of the image.

    • createdTimestampRequired

      The time when the image was created.

    • authorStringRequired

      The author of the image.

    • archStringRequired

      The OS structure of the image.

    • descStringRequired

      The description of the image.

    • sizeLongRequired

      The actual size of the image.

    • virtualsizeLongRequired

      The virtualized size of the image.

    • nameStringRequired

      The name of the image in the backup storage.

Endpoint

GET/zstack/v1/database-backups/image-store

/zstack/v1/database-backups/image-store

Operation ID

GetDatabaseBackupFromImageStore

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/database-backups/image-store?url=<url>&registryPort=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "infos": [ { "id": "270c67e3699f72ba", "created": "Nov 14, 2017 10:20:57 PM", "author": "zstack", "arch": "amd64", "size": 7995392.0, "virtualsize": 1.268224E7, "name": "78b6afbc9da73932a000fb9a75947962" } ] }

Change History

This API has no change history records yet.

View all change history